# Welcome to the Azimuth Documentation!

![Logo](_static/azimuth_logo_universal_color.png){: style="width:650px"}

Azimuth is an open source application that helps AI practitioners and data scientists better
**understand their dataset and model predictions** by performing thorough **dataset** and **error
analyses**. The application leverages different tools, including robustness tests, semantic
similarity analysis and saliency maps, unified by concepts such as **smart tags** and **proposed
actions**.

While this version of Azimuth focuses on **NLP classification problems**, the tool could easily be
adapted to apply to other data types and models, e.g. vision or tabular use cases. However, the
current focus is on text classification.

## :material-youtube: YouTube Playlist

<div style="display: flex; justify-content: center;">
  <iframe width="560" height="315" src="https://www.youtube.com/embed/videoseries?list=PLdq4WQvLzJCnJmInRYBSfeCWLiHbX55V8" title="Azimuth Playlist" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>

## :material-file-tree: Documentation Structure

* [:material-link: Getting Started](getting-started/index.md) contains all the instructions to **
  install** and **launch** the app. It also details the **changelog** of our releases.
* [:material-link: Key Concepts](key-concepts/index.md) explains the different **concepts and
  analyses** that are provided in Azimuth to perform dataset and error analysis.
* [:material-link: User Guide](user-guide/index.md) goes **screen per screen** to explain the
  different
  **interactions and visualizations** available.
* [:material-link: Reference](reference/index.md) details the config file and the custom objects
  which allow **configuring** Azimuth with different datasets and pipelines.
* [:material-link: Development](development/index.md) guides on how to develop and **contribute** to
  the repo.

## :octicons-question-16: Support

* Join
  the [Slack channel :material-slack:](https://join.slack.com/t/newworkspace-5wx1461/shared_invite/zt-16x8eqt1h-ho3Hh6ilcN7FpZyLkjr9oA)
  to ask questions and engage with the community.
* File issues in
  our [GitHub repo :material-github:](https://github.com/ServiceNow/azimuth/issues/new/choose).
* Learn how to contribute
  in [CONTRIBUTING.md](https://github.com/ServiceNow/azimuth/blob/main/CONTRIBUTING.md).

--8<-- "includes/abbreviations.md"
